/**
 * Copyright 2023 Kapeta Inc.
 * SPDX-License-Identifier: MIT
 */
/// <reference types="node" />
export declare const asyncTimeout: (ms: number) => Promise<unknown>;
export declare const asyncInterval: (callback: () => Promise<any>, ms: number) => {
    resource: NodeJS.Timeout;
    cancel(): void;
};
export declare const asDelayed: <T = any>(data: T, ms: number) => Promise<T>;
export declare const withDelay: <T = any>(func: () => Promise<T>, ms: number) => Promise<T>;
